Announcement

Collapse
No announcement yet.

Updating forums, separate db, not compatible or something.

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Updating forums, separate db, not compatible or something.

    URL of your forums : http://www.runeaeterna.com

    PHP version : 4.2.2

    MySQL version : MySQL 3.23.53a

    Apache/webserver version: ?

    Server operating system : Linux

    Any error message you are getting : There is a problem with the database (standard error)

    Whether or not you have edited any files : No
    <hr>

    I tried to upload the files for vb2.2.7 to my boards and upgrade them, but it didn't work. So I installed the boards to an empty db, then changed my config.php to point it to the old db. Unfortunately, that yields an error message, and I can't access anything.

    All the data from the boards is contained in the db still, but the forum doesn't work if I tell config to look at it.

  • #2
    Hell, even if I could import the data from one db to the other, that'd be fine, but I don't know how to go about jacking 4000 posts around.

    Comment


    • #3
      I also tried pointing config.php at the old DB and running admin/install.php, but it gets to step 4, tries to create table access, and gives me this message...

      There seems to have been a slight problem with the database.
      Please try again by pressing the refresh button in your browser.

      An E-Mail has been dispatched to our Technical Staff, who you can also contact if the problem persists.

      We apologise for any inconvenience.

      Comment


      • #4
        Okay, so I reuploaded the scripts for 2.2.2 into the old directory, and tried to access the index of the forums. It gave me this.

        Database error in vBulletin 2.2.2:

        Invalid SQL: INSERT INTO session (sessionhash,userid,host,useragent,lastactivity,althash,location) VALUES ('2e2da28500e1f6c67476909d900eb15a','1','172.148.206.80','Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)','1036303129','','/forums/index.php')
        mysql error: Unknown column 'althash' in 'field list'

        mysql error number: 1054

        Date: Sunday 03rd of November 2002 12:58:49 AM
        Script: http://www.runeaeterna.com/forums/in...rums/index.php
        Referer: http://www.runeaeterna.com/RA5/menu.html


        I suspect it has something to do with the fact that Script: section where the url is index.php/forums/index.php, but I don't know what's causing it.

        Comment


        • #5
          Why did you upload the 2.2.2 files?

          Before we can do anything we need to know what version your database is at.

          What version did you start out with? Then describe *every* step you've taken to get to the point you're at now, including any upgrade scripts you've run.
          Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
          Change CKEditor Colors to Match Style (for 4.1.4 and above)

          Steve Machol Photography


          Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


          Comment


          • #6
            Alright. The first thing I did was to install the 2.2.7 files into a testforum directory and run the install. But it didn't work, (slight error with the database...) so I uploaded the files over the 2.2.2 files and tried to run it, but it didn't work, and then the forums stopped working. Then I reuploaded the 2.2.2 files back into the main directory, hoping it would erase any damage and I could continue to use 2.2.2, but it just continued to give me error messages.

            Comment


            • #7
              Did you run the appropriate upgradexx.php scripts?

              Comment


              • #8
                Nevermind, I fixed the problem. Feel free to close this topic and delete it, or whatever the admins do.

                Comment


                • #9
                  It would be nice if you explained what you did to fix the problem. This may help others with similiar problems in the future.
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment

                  widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                  Working...
                  X